ApiEnableNnHaArguments (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiEnableNnHaArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiEnableNnHaArguments

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiEnableNnHaArguments
      extends Object

  Arguments used for Enable NameNode High Availability command.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiEnableNnHaArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiEnableNnHaArguments` | `activeFcName(String activeFcName)`
    `ApiEnableNnHaArguments` | `activeNnName(String activeNnName)`
    `ApiEnableNnHaArguments` | `addJnsItem(ApiJournalNodeArguments jnsItem)`
    `ApiEnableNnHaArguments` | `addStandbyNameDirListItem(String standbyNameDirListItem)`
    `ApiEnableNnHaArguments` | `clearExistingJnEditsDir(Boolean clearExistingJnEditsDir)`
    `ApiEnableNnHaArguments` | `clearExistingStandbyNameDirs(Boolean clearExistingStandbyNameDirs)`
    `boolean` | `equals(Object o)`
    `ApiEnableNnHaArguments` | `forceInitZNode(Boolean forceInitZNode)`
    `String` | `getActiveFcName()` Name of the FailoverController role to be created on Active NameNode's host (Optional).
    `String` | `getActiveNnName()` Name of the NameNode role that is going to be made Highly Available.
    `Boolean` | `getClearExistingJnEditsDir()` Boolean indicating if the existing edits directories for the JournalNodes for the specified nameservice should be cleared during the workflow.
    `Boolean` | `getClearExistingStandbyNameDirs()` Boolean indicating if the existing name directories for Standby NameNode should be cleared during the workflow.
    `Boolean` | `getForceInitZNode()` Boolean indicating if the ZNode should be force initialized if it is already present.
    `List<ApiJournalNodeArguments>` | `getJns()` Arguments for the JournalNodes to be created during the command.
    `String` | `getNameservice()` Nameservice to be used while enabling Highly Available.
    `String` | `getQjName()` Name of the journal located on each JournalNodes' filesystem.
    `String` | `getStandbyFcName()` Name of the FailoverController role to be created on Standby NameNode's host (Optional).
    `List<String>` | `getStandbyNameDirList()` List of directories for the new Standby NameNode.
    `String` | `getStandbyNnHostId()` Id of the host on which new Standby NameNode will be created.
    `String` | `getStandbyNnName()` Name of the new Standby NameNode role that will be created during the command (Optional).
    `String` | `getZkServiceName()` Name of the ZooKeeper service to be used for Auto-Failover.
    `int` | `hashCode()`
    `ApiEnableNnHaArguments` | `jns(List<ApiJournalNodeArguments> jns)`
    `ApiEnableNnHaArguments` | `nameservice(String nameservice)`
    `ApiEnableNnHaArguments` | `qjName(String qjName)`
    `void` | `setActiveFcName(String activeFcName)`
    `void` | `setActiveNnName(String activeNnName)`
    `void` | `setClearExistingJnEditsDir(Boolean clearExistingJnEditsDir)`
    `void` | `setClearExistingStandbyNameDirs(Boolean clearExistingStandbyNameDirs)`
    `void` | `setForceInitZNode(Boolean forceInitZNode)`
    `void` | `setJns(List<ApiJournalNodeArguments> jns)`
    `void` | `setNameservice(String nameservice)`
    `void` | `setQjName(String qjName)`
    `void` | `setStandbyFcName(String standbyFcName)`
    `void` | `setStandbyNameDirList(List<String> standbyNameDirList)`
    `void` | `setStandbyNnHostId(String standbyNnHostId)`
    `void` | `setStandbyNnName(String standbyNnName)`
    `void` | `setZkServiceName(String zkServiceName)`
    `ApiEnableNnHaArguments` | `standbyFcName(String standbyFcName)`
    `ApiEnableNnHaArguments` | `standbyNameDirList(List<String> standbyNameDirList)`
    `ApiEnableNnHaArguments` | `standbyNnHostId(String standbyNnHostId)`
    `ApiEnableNnHaArguments` | `standbyNnName(String standbyNnName)`
    `String` | `toString()`
    `ApiEnableNnHaArguments` | `zkServiceName(String zkServiceName)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiEnableNnHaArguments

          public ApiEnableNnHaArguments()

  - ### Method Detail

    - #### activeNnName

          public ApiEnableNnHaArguments activeNnName(String activeNnName)

    - #### getActiveNnName

          public String getActiveNnName()

      Name of the NameNode role that is going to be made Highly Available.
      Returns:
        activeNnName

    - #### setActiveNnName

          public void setActiveNnName(String activeNnName)

    - #### standbyNnName

          public ApiEnableNnHaArguments standbyNnName(String standbyNnName)

    - #### getStandbyNnName

          public String getStandbyNnName()

      Name of the new Standby NameNode role that will be created during the command (Optional).
      Returns:
        standbyNnName

    - #### setStandbyNnName

          public void setStandbyNnName(String standbyNnName)

    - #### standbyNnHostId

          public ApiEnableNnHaArguments standbyNnHostId(String standbyNnHostId)

    - #### getStandbyNnHostId

          public String getStandbyNnHostId()

      Id of the host on which new Standby NameNode will be created.
      Returns:
        standbyNnHostId

    - #### setStandbyNnHostId

          public void setStandbyNnHostId(String standbyNnHostId)

    - #### standbyNameDirList

          public ApiEnableNnHaArguments standbyNameDirList(List<String> standbyNameDirList)

    - #### addStandbyNameDirListItem

          public ApiEnableNnHaArguments addStandbyNameDirListItem(String standbyNameDirListItem)

    - #### getStandbyNameDirList

          public List<String> getStandbyNameDirList()

      List of directories for the new Standby NameNode. If not provided then it will use same dirs as Active NameNode.
      Returns:
        standbyNameDirList

    - #### setStandbyNameDirList

          public void setStandbyNameDirList(List<String> standbyNameDirList)

    - #### nameservice

          public ApiEnableNnHaArguments nameservice(String nameservice)

    - #### getNameservice

          public String getNameservice()

      Nameservice to be used while enabling Highly Available. It must be specified if Active NameNode isn't configured with it. If Active NameNode is already configured, then this need not be specified. However, if it is still specified, it must match the existing config for the Active NameNode.
      Returns:
        nameservice

    - #### setNameservice

          public void setNameservice(String nameservice)

    - #### qjName

          public ApiEnableNnHaArguments qjName(String qjName)

    - #### getQjName

          public String getQjName()

      Name of the journal located on each JournalNodes' filesystem. This can be optionally provided if the config hasn't already been set for the Active NameNode. If this isn't provided and Active NameNode doesn't also have the config, then nameservice is used by default. If Active NameNode already has this configured, then it much match the existing config.
      Returns:
        qjName

    - #### setQjName

          public void setQjName(String qjName)

    - #### activeFcName

          public ApiEnableNnHaArguments activeFcName(String activeFcName)

    - #### getActiveFcName

          public String getActiveFcName()

      Name of the FailoverController role to be created on Active NameNode's host (Optional).
      Returns:
        activeFcName

    - #### setActiveFcName

          public void setActiveFcName(String activeFcName)

    - #### standbyFcName

          public ApiEnableNnHaArguments standbyFcName(String standbyFcName)

    - #### getStandbyFcName

          public String getStandbyFcName()

      Name of the FailoverController role to be created on Standby NameNode's host (Optional).
      Returns:
        standbyFcName

    - #### setStandbyFcName

          public void setStandbyFcName(String standbyFcName)

    - #### zkServiceName

          public ApiEnableNnHaArguments zkServiceName(String zkServiceName)

    - #### getZkServiceName

          public String getZkServiceName()

      Name of the ZooKeeper service to be used for Auto-Failover. This MUST be provided if HDFS doesn't have a ZooKeeper dependency. If the dependency is already set, then this should be the name of the same ZooKeeper service, but can also be omitted in that case.
      Returns:
        zkServiceName

    - #### setZkServiceName

          public void setZkServiceName(String zkServiceName)

    - #### jns

          public ApiEnableNnHaArguments jns(List<ApiJournalNodeArguments> jns)

    - #### addJnsItem

          public ApiEnableNnHaArguments addJnsItem(ApiJournalNodeArguments jnsItem)

    - #### getJns

          public List<ApiJournalNodeArguments> getJns()

      Arguments for the JournalNodes to be created during the command. Must be provided only if JournalNodes don't exist already in HDFS.
      Returns:
        jns

    - #### setJns

          public void setJns(List<ApiJournalNodeArguments> jns)

    - #### forceInitZNode

          public ApiEnableNnHaArguments forceInitZNode(Boolean forceInitZNode)

    - #### getForceInitZNode

          public Boolean getForceInitZNode()

      Boolean indicating if the ZNode should be force initialized if it is already present. Useful while re-enabling High Availability. (Default: TRUE)
      Returns:
        forceInitZNode

    - #### setForceInitZNode

          public void setForceInitZNode(Boolean forceInitZNode)

    - #### clearExistingStandbyNameDirs

          public ApiEnableNnHaArguments clearExistingStandbyNameDirs(Boolean clearExistingStandbyNameDirs)

    - #### getClearExistingStandbyNameDirs

          public Boolean getClearExistingStandbyNameDirs()

      Boolean indicating if the existing name directories for Standby NameNode should be cleared during the workflow. Useful while re-enabling High Availability. (Default: TRUE)
      Returns:
        clearExistingStandbyNameDirs

    - #### setClearExistingStandbyNameDirs

          public void setClearExistingStandbyNameDirs(Boolean clearExistingStandbyNameDirs)

    - #### clearExistingJnEditsDir

          public ApiEnableNnHaArguments clearExistingJnEditsDir(Boolean clearExistingJnEditsDir)

    - #### getClearExistingJnEditsDir

          public Boolean getClearExistingJnEditsDir()

      Boolean indicating if the existing edits directories for the JournalNodes for the specified nameservice should be cleared during the workflow. Useful while re-enabling High Availability. (Default: TRUE)
      Returns:
        clearExistingJnEditsDir

    - #### setClearExistingJnEditsDir

          public void setClearExistingJnEditsDir(Boolean clearExistingJnEditsDir)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.